Webhook Endpoints

Webhook endpoint management

List webhook-endpoints

get

Retrieve a paginated list of webhook-endpoints

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Items per page (max 100)

Example: 25
sortstringOptional

Sort field (prefix with - for descending)

Example: -created_at
Responses
chevron-right
200

Successful response with paginated list

application/json
get
/v2/webhook-endpoints/

Create webhook endpoint

post

Create a new webhook endpoint for the authenticated OAuth client

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Body
urlstring · uri · max: 2048Required

URL to receive webhook events

Example: https://example.com/webhooks/spiffy
descriptionstring · max: 255 · nullableOptional

Human-readable description of the webhook

Example: Production webhook endpoint
eventsstring[]Optional

List of event types to subscribe to (defaults to ['*'])

Example: ["order.created","order.completed"]
Responses
post
/v2/webhook-endpoints/

No content

Get webhook-endpoints

get

Retrieve a single webhook-endpoints by ID

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
chevron-right
200

Successful response

application/json
anyOptional
get
/v2/webhook-endpoints/{id}

No content

Delete webhook endpoint

delete

Delete a webhook endpoint

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
delete
/v2/webhook-endpoints/{id}

No content

Update webhook endpoint

patch

Update a webhook endpoint configuration

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Body
urlstring · uri · max: 2048Optional

URL to receive webhook events

Example: https://example.com/webhooks/spiffy
descriptionstring · max: 255 · nullableOptional

Human-readable description of the webhook

Example: Production webhook endpoint
eventsstring[]Optional

List of event types to subscribe to

Example: ["order.created","order.completed"]
statusstring · enumOptional

Webhook status (active or inactive)

Example: activePossible values:
Responses
chevron-right
200

Successful response

application/json
anyOptional
patch
/v2/webhook-endpoints/{id}

No content

POST /v2/webhook-endpoints/:id/rotate-secret

post

Endpoint: POST /v2/webhook-endpoints/:id/rotate-secret

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
chevron-right
200

Successful response

No content

post
/v2/webhook-endpoints/{id}/rotate-secret

No content

POST /v2/webhook-endpoints/:id/test

post

Endpoint: POST /v2/webhook-endpoints/:id/test

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Responses
chevron-right
200

Successful response

No content

post
/v2/webhook-endpoints/{id}/test

No content

Last updated